#ifndef TTSTHREADS_H
#define TTSTHREADS_H

#include <QThread>
#include <QTcpSocket>
#include <QStringList>
#include <QHostAddress>
#include <QDateTime>

class ttsThreads : public QThread
{
    Q_OBJECT
public:
    explicit ttsThreads(QObject *parent = NULL, quint16 idx=0, QString ip="", QString path="", quint16 port=0);
    void appendData(QString data);
    void stoptts();
    void run();
    void ttslog(quint16 idx, QDateTime t, QString data, bool dirflag);

signals:

public slots:

private:
    bool keepWorking;
    quint16 Idx;
    QString DestIp;
    QString DestPath;
    QStringList DataList;
    QTcpSocket *so[16];
    quint16 DestPort;
};

#endif // TTSTHREADS_H
